Subject: Re: [PATCH] t1092: use GIT_PROGRESS_DELAY for consistent results

From: Taylor Blau <[email-masked]>
Date: Mon, 24 May 2021 20:13:20 -0400

On Tue, May 25, 2021 at 12:57:52AM +0200, Ævar Arnfjörð Bjarmason wrote:
> On Mon, May 24 2021, Taylor Blau wrote:
>
> > But I don't think this isolated instance should push in the direction of
> > adding support for either of the above, regardless of how easy it might
> > be.
>
> I don't see why we wouldn't just tweak GIT_PROGRESS_DELAY to support -1
> or something for "inf".

Ironically, I think that this already works, since we parse the value of
GIT_PROGRESS_DELAY as unsigned, and don't bother checking for if the
input is negative (since we eventually call git_parse_unsigned(), which
doesn't have any extra checks other than for overflow).

So we silently convert -1 to 2^64-1, and call it a day.

Thanks,
Taylor